# PSF-LoginServer - master - net.psforever.objects.vehicles.control.AmsControl
PSF - LoginServer - master - net.psforever.objects.vehicles.control.AmsControl
Keywords: PSF LoginServer master net.psforever.objects.vehicles.control.AmsControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package vehicles
  Definition Classes
    objects
-  package control
  Definition Classes
    vehicles
- AmsControl
- AntControl
- ApcControl
- CargoCarrierControl
- DeployingVehicleControl
- RouterControl
- VehicleControl

c

net.psforever.objects.vehicles.control

# AmsControl

###

#### class AmsControl extends DeployingVehicleControl

A vehicle control agency exclusive to the advanced mobile spawn (AMS). When deployed, infantry troops may manifest nearby the vehicle as they switch from being deconstructed (or dead) to being alive.

Source
  AmsControl.scala

Linear Supertypes
DeployingVehicleControl, DeploymentBehavior, VehicleControl, RespondsToZoneEnvironment, ContainableBehavior, JammableMountedWeapons, JammableBehavior, RepairableVehicle, RepairableEntity, Repairable, DamageableVehicle, AggravatedBehavior, DamageableEntity, Damageable, MountableBehavior, Check, BasicAffinity, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AmsControl
2. DeployingVehicleControl
3. DeploymentBehavior
4. VehicleControl
5. RespondsToZoneEnvironment
6. ContainableBehavior
7. JammableMountedWeapons
8. JammableBehavior
9. RepairableVehicle
10. RepairableEntity
11. Repairable
12. DamageableVehicle
13. AggravatedBehavior
14. DamageableEntity
15. Damageable
16. MountableBehavior
17. Check
18. BasicAffinity
19. Actor
20. AnyRef
21. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new AmsControl(vehicle: Vehicle)

   vehicle

     the AMS

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def AggravatedObject: Vehicle
   Definition Classes
     DamageableVehicle → AggravatedBehavior
5.  def AggravatedReaction: Boolean
   Definition Classes
     AggravatedBehavior
6.  def AggravationCleanup(id: Long): Unit
   Definition Classes
     AggravatedBehavior
7.  def CanBeRepairedByNanoDispenser(player: Player, item: Tool): Unit

   Catch the expected repair message and apply further checks to the combination of the target, the equipment, and tis user.

   Catch the expected repair message and apply further checks to the combination of the target, the equipment, and tis user. If the checks pass, perform the repair.

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   Definition Classes
     RepairableEntity → Repairable
8.  def CanPerformRepairs(target: Target, player: Player, item: Tool): Boolean

   Test the combination of target entity, equipment user, and the equipment to determine if the repair process attempt would be permitted.

   Test the combination of target entity, equipment user, and the equipment to determine if the repair process attempt would be permitted. It is not necessary to check that the tool and its ammunition are correct types; that test was already performed.
   The target entity must be repairable and have less than full health and, if it is destroyed, must have an object attribute that permits it to be repaired after being destroyed.
   The user must have the same faction affinity as the target entity or be neutral.
   The equipment must have some ammunition.
   The user must be alive and be within a certain distance of the target entity.

   target

     the entity being repaired

   player

     the user of the nano dispenser tool

   item

     the nano dispenser tool

   returns

     `true`, if the target entity can be repaired; `false`, otherwise

   Attributes
     protected
   Definition Classes
     RepairableEntity
   See also

     `org.log4s.getLogger`

     `PlanetSideEmpire`

     `Vector3.Distance`

     `VitalityDefinition`

9.  def CancelJammeredSound(target: Any): Unit

   Deactivate a distinctive buzzing sound effect.

   Deactivate a distinctive buzzing sound effect. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

   target

     an object that can be affected by the jammered status

   Definition Classes
     JammableMountedWeapons → JammableBehavior
10.  def CancelJammeredStatus(target: Any): Unit

    Deactivate the effects of the jammered status.

    Deactivate the effects of the jammered status. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

    target

      an object that can be affected by the jammered status

    Definition Classes
      JammableMountedWeapons → JammableBehavior
11.  def CleanupAggravationTimer(id: Long): Unit
    Definition Classes
      AggravatedBehavior
12.  def ContainerObject: Vehicle
    Definition Classes
      VehicleControl → ContainableBehavior
13.  def DamageAwareness(target: Target, cause: DamageResult, amount: Any): Unit

    Most all vehicles and the weapons mounted to them can jam if the projectile that strikes (near) them has jammering properties.

    Most all vehicles and the weapons mounted to them can jam if the projectile that strikes (near) them has jammering properties. If this vehicle has shields that were affected by previous damage, that is also reported to the clients.

    target

      the entity being destroyed

    cause

      historical information about the damage

    amount

      how much damage was performed

    Attributes
      protected
    Definition Classes
      DamageableVehicle → DamageableEntity
    See also

      `Service.defaultPlayerGUID`

      `Vehicle.CargoHolds`

      `VehicleAction.PlanetsideAttribute`

      `VehicleServiceMessage`

14.  def DamageLog(target: Target, msg: String): Unit

    Log a damage message with a decorator for this target.

    Log a damage message with a decorator for this target. The decorator is constructed by the `Actor` name of the entity, sliced after the last forward/slash. For example, for "foo/bar/name", the decorator is just "name".

    target

      the entity to be used for the decorator

    msg

      the message for the damage log

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `PlanetSideServerObject`

15.  def DamageLog(msg: String): Unit

    Log a damage message.

    Log a damage message.

    msg

      the message for the damage log

    Attributes
      protected
    Definition Classes
      DamageableEntity
16.  def DamageableObject: Vehicle

    Contextual access to the object being the target of this damage.

    Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

    returns

      the entity controlled by this actor

    Definition Classes
      VehicleControl → DamageableVehicle → Damageable
17.  def DeploymentAction(obj: DeploymentObject, state: types.DriveState.Value, prevState: types.DriveState.Value): types.DriveState.Value
    Definition Classes
      DeployingVehicleControl → DeploymentBehavior
18.  def DeploymentObject: Vehicle
    Definition Classes
      DeployingVehicleControl → DeploymentBehavior
19.  def DestructionAwareness(target: Target, cause: DamageResult): Unit

    The vehicle's shields are zero'd out if they were previously energized so that the vehicle's corpse does not act like it is still protected by vehicle shields.

    The vehicle's shields are zero'd out if they were previously energized so that the vehicle's corpse does not act like it is still protected by vehicle shields. Finally, the vehicle is tasked for deconstruction.

    target

      the entity being destroyed

    cause

      historical information about the damage

    Attributes
      protected
    Definition Classes
      DamageableVehicle → DamageableEntity
    See also

      `Deployment.TryDeploymentChange`

      `DriveState.Undeploying`

      `Service.defaultPlayerGUID`

      `Vehicle.CargoHolds`

      `VehicleAction.PlanetsideAttribute`

      `RemoverActor.AddTask`

      `RemoverActor.ClearSpecific`

      `VehicleServiceMessage`

      `VehicleServiceMessage.Decon`

      `Zone.VehicleEvents`

20.  final def Disabled: Receive
    Definition Classes
      VehicleControl
21.  final def Enabled: Receive
    Definition Classes
      VehicleControl
22.  def EndAllAggravation(): Unit
    Definition Classes
      AggravatedBehavior
23.  def FactionObject: Vehicle
    Definition Classes
      VehicleControl → BasicAffinity
24.  def GainOwnership(player: Player): Unit
    Definition Classes
      VehicleControl
25.  def HandleDamage(target: Target, cause: DamageResult, damage: Any): Unit

    Select between mere damage reception or target destruction.

    Select between mere damage reception or target destruction.

    target

      the entity being damaged

    cause

      historical information about the damage

    damage

      the amount of damage

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `VitalDefinition.DamageDestroysAt`

26.  def InteractWith: Option[PieceOfEnvironment]
    Definition Classes
      RespondsToZoneEnvironment
27.  def InteractiveObject: Vehicle
    Definition Classes
      VehicleControl → RespondsToZoneEnvironment
28.  def JammableObject: Vehicle

    `ZoneAware` is used for callback to the event systems

    `ZoneAware` is used for callback to the event systems

    Definition Classes
      VehicleControl → JammableBehavior
29.  def LoseOwnership(): Unit
    Definition Classes
      VehicleControl
30.  def MessageDeferredCallback(msg: Any): Unit

    Reaction to the initial deferrence of a message that should handle the visual aspects of not immediately addressing the message.

    Reaction to the initial deferrence of a message that should handle the visual aspects of not immediately addressing the message. To be implemented.

    msg

      the deferred message

    Definition Classes
      VehicleControl → ContainableBehavior
31.  def MountableObject: Vehicle
    Definition Classes
      VehicleControl → MountableBehavior
32.  def PerformDamage(target: Target, applyDamageTo: Output): Unit

    Vehicles may have charged shields that absorb damage before the vehicle's own health is affected.

    Vehicles may have charged shields that absorb damage before the vehicle's own health is affected.

    target

      the entity to be damaged

    applyDamageTo

      the function that applies the damage to the target in a target-tailored fashion

    Attributes
      protected
    Definition Classes
      DamageableVehicle → DamageableEntity → Damageable
33.  def PerformRepairs(target: Target, amount: Int): Int
    Attributes
      protected
    Definition Classes
      RepairableEntity
34.  def PerformRepairs(target: Target, player: Player, item: Tool): Unit

    Calculate the health points change and enact that repair action if the targets are stationary.

    Calculate the health points change and enact that repair action if the targets are stationary. Restore the target entity to a not destroyed state if applicable. Always show the repair progress bar window by using the appropriate packet.

    target

      the entity being repaired

    player

      the user of the nano dispenser tool

    item

      the nano dispenser tool

    Attributes
      protected
    Definition Classes
      RepairableEntity
    See also

      `AvatarAction.PlanetsideAttributeToAll`

      `AvatarAction.SendResponse`

      `AvatarService`

      `InventoryStateMessage`

      `PlanetSideGameObject.isMoving`

      `RepairMessage`

      `Service.defaultPlayerGUID`

      `Tool.Discharge`

      `Zone.AvatarEvents`

35.  def PrepareForDeletion(): Unit

    Even when on the verge of deletion, the vehicle can be made to undeploy.

    Even when on the verge of deletion, the vehicle can be made to undeploy.

    Definition Classes
      DeployingVehicleControl → VehicleControl
36.  def PrepareForDisabled(kickPassengers: Boolean): Unit

    Even when disabled, the vehicle can be made to undeploy.

    Even when disabled, the vehicle can be made to undeploy.

    Definition Classes
      DeployingVehicleControl → VehicleControl
37.  def PutItemInSlotCallback(item: Equipment, slot: Int): Unit

    Reaction to an item being placed into a container.

    Reaction to an item being placed into a container. To be implemented.

    item

      the item that was removed

    slot

      the slot from which is was removed

    Definition Classes
      VehicleControl → ContainableBehavior
38.  final def ReadyToDelete: Receive
    Definition Classes
      VehicleControl
39.  def RemoveAggravatedEntry(id: Long): Aura
    Definition Classes
      AggravatedBehavior
40.  def RemoveItemFromSlotCallback(item: Equipment, slot: Int): Unit

    Reaction to an item being removed a container.

    Reaction to an item being removed a container. To be implemented.

    item

      the item that was removed

    slot

      the slot from which is was removed

    Definition Classes
      VehicleControl → ContainableBehavior
41.  def RepairToolValue(item: Tool): Float

    The amount of repair that any specific tool provides.

    The amount of repair that any specific tool provides.

    item

      the tool in question

    returns

      an amount to add to the repair attempt progress

    Definition Classes
      RepairableVehicle → Repairable
    See also

      `Repairable.Quality`

42.  def RepairableObject: Vehicle

    Contextual access to the object being the target of this damage.

    Contextual access to the object being the target of this damage. Needs declaration in lowest implementing code.

    returns

      the entity controlled by this actor

    Definition Classes
      VehicleControl → RepairableVehicle → Repairable
43.  def RepeatMessageLater(msg: Any): Unit

    Defer a message until later.

    Defer a message until later.

    msg

      the message to defer

    Definition Classes
      ContainableBehavior
    See also

      `ContainableBehavior.Defer`

      `DeferrableMsg`

44.  def Reset(): Unit

    Stop blocking messages.

    Stop blocking messages.

    Definition Classes
      ContainableBehavior
45.  def Restoration(obj: Target): Unit

    The entity is no longer destroyed.

    The entity is no longer destroyed.

    obj

      the entity

    Definition Classes
      RepairableVehicle → Repairable
46.  def Resume(): Unit

    Decrement the flag for blocking messages.

    Decrement the flag for blocking messages.

    Definition Classes
      ContainableBehavior
47.  def SetInteraction(attribute: EnvironmentTrait, action: Interaction): Unit
    Definition Classes
      RespondsToZoneEnvironment
48.  def SetInteractionStop(attribute: EnvironmentTrait, action: Interaction): Unit
    Definition Classes
      RespondsToZoneEnvironment
49.  def StartJammeredSound(target: Any, dur: Int): Unit

    Activate a distinctive buzzing sound effect.

    Activate a distinctive buzzing sound effect. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely start the timer.

    target

      an object that can be affected by the jammered status

    dur

      the duration of the timer, in milliseconds; by default, 30000

    Definition Classes
      JammableMountedWeapons → JammableBehavior
50.  def StartJammeredStatus(target: Any, dur: Int): Unit

    Deactivate the effects of the jammered status.

    Deactivate the effects of the jammered status. Due to considerations of the object that is the target, this is left to be implemented by a subclass. We merely stop the timer.

    target

      an object that can be affected by the jammered status

    dur

      the duration of the timer, in milliseconds

    Definition Classes
      JammableMountedWeapons → JammableBehavior
51.  def SwapItemCallback(item: Equipment, fromSlot: Int): Unit

    Reaction to the existence of a swap item being produced from a container into the environment.

    Reaction to the existence of a swap item being produced from a container into the environment. To be implemented.

    item

      the item that was removed

    fromSlot

      the slot from where the item was removed (where it previous was)

    Definition Classes
      VehicleControl → ContainableBehavior
52.  def TryAggravationEffectActivate(data: DamageResult): Option[AggravatedDamage]
    Definition Classes
      AggravatedBehavior
53.  def TryDeployStateChange(state: types.DriveState.Value): Any
    Definition Classes
      DeploymentBehavior
54.  def TryDeploymentChange(obj: DeploymentObject, state: types.DriveState.Value): Boolean
    Definition Classes
      DeployingVehicleControl → DeploymentBehavior
55.  def TryDeploymentStateChange(state: types.DriveState.Value): Any
    Definition Classes
      DeploymentBehavior
56.  def TryJammerEffectActivate(target: Any, cause: DamageResult): Unit

    If the target can be validated against, affect it with the jammered status.

    If the target can be validated against, affect it with the jammered status.

    target

      the objects to be determined if affected by the source's jammering

    cause

      the source of the "jammered" status

    Definition Classes
      VehicleControl → JammableBehavior
57.  def TryUndeployStateChange(state: types.DriveState.Value): Any
    Definition Classes
      DeploymentBehavior
58.  def TryUndeploymentChange(obj: DeploymentObject, state: types.DriveState.Value): Boolean
    Definition Classes
      DeploymentBehavior
59.  def UndeploymentAction(obj: DeploymentObject, state: types.DriveState.Value, prevState: types.DriveState.Value): types.DriveState.Value
    Definition Classes
      DeployingVehicleControl → DeploymentBehavior
60.  def Wait(): Unit

    Increment the flag for blocking messages.

    Increment the flag for blocking messages.

    Definition Classes
      ContainableBehavior
61.  def WillAffectTarget(target: Target, damage: Int, cause: DamageResult): Boolean

    Does the damage or the projectile that caused the damage offer any reason to execute the reminder of damage resolution considerations? The projectile causing additional affects, e.g., jamming, should be tested here, when applicable.

    Does the damage or the projectile that caused the damage offer any reason to execute the reminder of damage resolution considerations? The projectile causing additional affects, e.g., jamming, should be tested here, when applicable. Contrast with `Vitality.CanDamage`. The damage value tested against should be the total value of all meaningful vital statistics affected.

    target

      the entity to be damaged

    damage

      the amount of damage

    cause

      historical information about the damage

    returns

      `true`, if damage resolution is to be evaluated; `false`, otherwise

    Attributes
      protected
    Definition Classes
      DamageableEntity
    See also

      `Damageable.CanDamageOrJammer`

      `PerformDamage`

62.  val aggravatedBehavior: Receive
    Definition Classes
      AggravatedBehavior
63.  def aroundPostRestart(reason: Throwable): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
64.  def aroundPostStop(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
65.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
66.  def aroundPreStart(): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
67.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
    Attributes
      protected[akka]
    Definition Classes
      Actor
    Annotations
      @InternalApi()
68.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
69.  final val canBeRepairedByNanoDispenser: akka.actor.Actor.Receive

    The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

    The official mixin hook; `orElse` onto the "control" `Actor` `receive`; catch the expected repair message and apply initial checks to the item

    Definition Classes
      Repairable
    See also

      `Ammo`

      `CanBeRepairedByNanoDispenser`

      `CommonMessages.Use`

      `GlobalDefinitions`

      `Tool.AmmoType`

70.  val checkBehavior: Receive
    Definition Classes
      Check
71.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
72.  def commonDeleteBehavior: Receive

    Even when on the verge of deletion, the vehicle can be made to undeploy.

    Even when on the verge of deletion, the vehicle can be made to undeploy.

    Definition Classes
      DeployingVehicleControl → VehicleControl
73.  def commonDisabledBehavior: Receive

    Even when disabled, the vehicle can be made to undeploy.

    Even when disabled, the vehicle can be made to undeploy. Even when disabled, passengers can formally dismount from the vehicle.

    Definition Classes
      DeployingVehicleControl → VehicleControl
74.  def commonEnabledBehavior: Receive
    Definition Classes
      DeployingVehicleControl → VehicleControl
75.  final val containerBehavior: Receive
    Definition Classes
      ContainableBehavior
76.  implicit val context: ActorContext
    Definition Classes
      Actor
77.  def damageableVehiclePostStop(): Unit
    Definition Classes
      DamageableVehicle
78.  var decayTimer: Cancellable

    primary vehicle decay timer

    primary vehicle decay timer

    Definition Classes
      VehicleControl
79.  var decaying: Boolean

    cheap flag for whether the vehicle is decaying

    cheap flag for whether the vehicle is decaying

    Definition Classes
      VehicleControl
80.  val deployBehavior: Receive
    Definition Classes
      DeploymentBehavior
81.  val dismountBehavior: Receive

    The logic governing `Mountable` objects that use the `TryDismount` message.

    The logic governing `Mountable` objects that use the `TryDismount` message. This is a mix-in trait for combining with existing `Receive` logic.

    Definition Classes
      MountableBehavior
    See also

      `Seat`

      `Mountable`

82.  def dismountCleanup(seatBeingDismounted: Int): Unit
    Definition Classes
      VehicleControl
83.  def dismountTest(obj: Mountable with WorldEntity, seatNumber: Int, user: Player): Boolean
    Attributes
      protected
    Definition Classes
      VehicleControl → MountableBehavior
84.  def doEnvironmentInteracting(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit
    Definition Classes
      RespondsToZoneEnvironment
85.  def doInteractingWithDeath(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit

    Death causes vehicles to be destroyed outright.

    Death causes vehicles to be destroyed outright. It's not even considered as environmental damage anymore.

    obj

      the target

    body

      the environment

    data

      additional interaction information, if applicable

    Definition Classes
      VehicleControl
86.  def doInteractingWithLava(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit

    Lava causes vehicles to take (considerable) damage until they are inevitably destroyed.

    Lava causes vehicles to take (considerable) damage until they are inevitably destroyed.

    obj

      the target

    body

      the environment

    data

      additional interaction information, if applicable

    Definition Classes
      VehicleControl
87.  def doInteractingWithWater(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit

    Water causes vehicles to become disabled if they dive off too far, too deep.

    Water causes vehicles to become disabled if they dive off too far, too deep. Flying vehicles do not display progress towards being waterlogged. They just disable outright.

    obj

      the target

    body

      the environment

    data

      additional interaction information, if applicable

    Definition Classes
      VehicleControl
88.  def doInteractingWithWaterToTargets(percentage: Float, body: PieceOfEnvironment, targets: Iterable[PlanetSideServerObject]): Unit

    Tell the given targets that water causes vehicles to become disabled if they dive off too far, too deep.

    Tell the given targets that water causes vehicles to become disabled if they dive off too far, too deep.

    percentage

      the progress bar completion state

    body

      the environment

    targets

      recipients of the information

    Definition Classes
      VehicleControl
    See also

      `InteractingWithEnvironment`

      `OxygenState`

      `OxygenStateTarget`

89.  val environmentBehavior: Receive
    Definition Classes
      RespondsToZoneEnvironment
90.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
91.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
92.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
93.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
94.  def getUsedMountPoint(playerName: String, seatNumber: Int): Int
    Definition Classes
      MountableBehavior
95.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
96.  val interactWith: Option[PieceOfEnvironment]

    the environment that we are currently in interaction with

    the environment that we are currently in interaction with

    Definition Classes
      RespondsToZoneEnvironment
97.  val interactionTime: Long

    how long the current interaction has been progressing in the current way

    how long the current interaction has been progressing in the current way

    Definition Classes
      RespondsToZoneEnvironment
98.  val interactionTimer: Cancellable

    a gesture of automation added to the interaction

    a gesture of automation added to the interaction

    Definition Classes
      RespondsToZoneEnvironment
99.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
100.  val jammableBehavior: Receive
     Definition Classes
       JammableBehavior
101.  val jammedSound: Boolean

     flag for jammed sound

     flag for jammed sound

     Attributes
       protected
     Definition Classes
       JammableBehavior
102.  val jammeredSoundTimer: Cancellable

     the sound timer

     the sound timer

     Attributes
       protected
     Definition Classes
       JammableBehavior
103.  val jammeredStatusTimer: Cancellable

     the effect timer

     the effect timer

     Attributes
       protected
     Definition Classes
       JammableBehavior
104.  val mountBehavior: Receive

     The logic governing `Mountable` objects that use the `TryMount` message.

     The logic governing `Mountable` objects that use the `TryMount` message. This is a mix-in trait for combining with existing `Receive` logic.

     Definition Classes
       MountableBehavior
     See also

       `Seat`

       `Mountable`

105.  def mountCleanup(mount_point: Int, user: Player): Unit
     Definition Classes
       VehicleControl
106.  def mountTest(obj: PlanetSideServerObject with Mountable, seatNumber: Int, user: Player): Boolean
     Attributes
       protected
     Definition Classes
       VehicleControl → MountableBehavior
107.  final def ne(arg0: AnyRef): Boolean
     Definition Classes
       AnyRef
108.  final def notify(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
109.  final def notifyAll(): Unit
     Definition Classes
       AnyRef
     Annotations
       @native()
110.  final val originalTakesDamage: akka.actor.Actor.Receive

     a duplicate of the core implementation for the default mixin hook, for use in overriding

     a duplicate of the core implementation for the default mixin hook, for use in overriding

     Definition Classes
       Damageable
111.  def postRestart(reason: Throwable): Unit
     Definition Classes
       Actor
     Annotations
       @throws(classOf[java.lang.Exception])
112.  def postStop(): Unit
     Definition Classes
       VehicleControl → Actor
113.  def preRestart(reason: Throwable, message: Option[Any]): Unit
     Definition Classes
       Actor
     Annotations
       @throws(classOf[java.lang.Exception])
114.  def preStart(): Unit
     Definition Classes
       Actor
     Annotations
       @throws(classOf[java.lang.Exception])
115.  def receive: Receive
     Definition Classes
       VehicleControl → Actor
116.  def recoverFromEnvironmentInteracting(): Unit

     Reset the environment encounter fields and completely stop whatever is the current mechanic.

     Reset the environment encounter fields and completely stop whatever is the current mechanic. This does not perform messaging relay either with mounted occupants or with any other service.

     Definition Classes
       VehicleControl → RespondsToZoneEnvironment
117.  val reportDamageToVehicle: Boolean

     whether or not the vehicle has been damaged directly, report that damage has occurred

     whether or not the vehicle has been damaged directly, report that damage has occurred

     Attributes
       protected
     Definition Classes
       DamageableVehicle
118.  implicit final val self: ActorRef
     Definition Classes
       Actor
119.  final def sender(): ActorRef
     Definition Classes
       Actor
120.  def specificResponseToDeployment(state: types.DriveState.Value): Unit

     React to a deployment state change.

     React to a deployment state change. Announce that this AMS is ready to accept troop deployment.

     state

       the deployment state

     Definition Classes
       AmsControl → DeployingVehicleControl
121.  def specificResponseToUndeployment(state: types.DriveState.Value): Unit

     React to an undeployment state change.

     React to an undeployment state change. This AMS is now off the grid.

     state

       the deployment state

     Definition Classes
       AmsControl → DeployingVehicleControl
122.  def stopEnvironmentInteracting(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit
     Definition Classes
       RespondsToZoneEnvironment
123.  def stopInteractingWithWater(obj: PlanetSideServerObject, body: PieceOfEnvironment, data: Option[OxygenStateTarget]): Unit

     When out of water, the vehicle no longer risks becoming disabled.

     When out of water, the vehicle no longer risks becoming disabled. It does have to endure a recovery period to get back to full dehydration Flying vehicles are exempt from this process due to the abrupt disability they experience.

     obj

       the target

     body

       the environment

     data

       additional interaction information, if applicable

     Definition Classes
       VehicleControl
124.  def stopInteractingWithWaterToTargets(percentage: Float, body: PieceOfEnvironment, targets: Iterable[PlanetSideServerObject]): Unit

     Tell the given targets that, when out of water, the vehicle no longer risks becoming disabled.

     Tell the given targets that, when out of water, the vehicle no longer risks becoming disabled.

     percentage

       the progress bar completion state

     body

       the environment

     targets

       recipients of the information

     Definition Classes
       VehicleControl
     See also

       `EscapeFromEnvironment`

       `OxygenState`

       `OxygenStateTarget`

125.  var submergedCondition: Option[OxygenState]

     becoming waterlogged, or drying out?

     becoming waterlogged, or drying out?

     Definition Classes
       VehicleControl
126.  def supervisorStrategy: SupervisorStrategy
     Definition Classes
       Actor
127.  final def synchronized[T0](arg0: => T0): T0
     Definition Classes
       AnyRef
128.  val takesDamage: Receive

     the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

     the official mixin hook; `orElse` onto the "control" `Actor` `receive`; or, cite the `originalTakesDamage` protocol during inheritance overrides

     Definition Classes
       DamageableVehicle → Damageable
129.  def toString(): String
     Definition Classes
       AnyRef → Any
130.  def unhandled(message: Any): Unit
     Definition Classes
       Actor
131.  def updateZoneInteractionProgressUI(player: Player): Unit

     Without altering the state or progress of a zone interaction related to water, update the visual progress element (progress bar) that is visible to the recipient's client.

     Without altering the state or progress of a zone interaction related to water, update the visual progress element (progress bar) that is visible to the recipient's client.

     player

       the recipient of this ui update

     Definition Classes
       VehicleControl
132.  val usedMountPoint: HashMap[String, Int]

     retain the mount point that was used by this occupant to mount

     retain the mount point that was used by this occupant to mount

     Definition Classes
       MountableBehavior
133.  final def wait(): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
134.  final def wait(arg0: Long, arg1: Int): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException])
135.  final def wait(arg0: Long): Unit
     Definition Classes
       AnyRef
     Annotations
       @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from DeployingVehicleControl

### Inherited from DeploymentBehavior

### Inherited from VehicleControl

### Inherited from RespondsToZoneEnvironment

### Inherited from ContainableBehavior

### Inherited from JammableMountedWeapons

### Inherited from JammableBehavior

### Inherited from RepairableVehicle

### Inherited from RepairableEntity

### Inherited from Repairable

### Inherited from DamageableVehicle

### Inherited from AggravatedBehavior

### Inherited from DamageableEntity

### Inherited from Damageable

### Inherited from MountableBehavior

### Inherited from Check

### Inherited from BasicAffinity

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped